<!--
  Translates an openmath v2 expression into an openmath v1 expression.
-->
<xsl:transform
  xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
  xmlns:om='http://www.openmath.org/OpenMath'
>

  <xsl:template 
    match='om:* | *[starts-with(name(),"OM")]' 
    mode='downgradeOpenMath'
  >
    <xsl:element name='{local-name()}'>
      <xsl:for-each select='@*'>
        <xsl:copy/>
      </xsl:for-each>
      <xsl:apply-templates mode='downgradeOpenMath'/>
    </xsl:element>
  </xsl:template>
  
  <xsl:template match='*' mode='downgradeOpenMath'>
    <xsl:apply-templates select='.'/>
  </xsl:template>

</xsl:transform>