<?xml version="1.0" encoding="us-ascii"?>
<xsl:stylesheet
  version="2.0"
  xmlns:mathdox='http://www.mathdox.org/MathDox'
  xmlns:om="http://www.openmath.org/OpenMath"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
>
  <xsl:import href='openmath/prog1latex.xsl'/>
  <xsl:import href='openmath/prog1xhtml.xsl'/>

  <xsl:param name='output' select='"latex"'/>

  <!-- handle prog1 differently -->
  <xsl:template match='algorithm'>
    <xsl:copy>
      <xsl:apply-templates select='@*'/>
      <xsl:apply-templates>
        <xsl:with-param name='algorithm' select='"yes"' tunnel='yes'/>
      </xsl:apply-templates>
    </xsl:copy>
  </xsl:template>

  <xsl:template match='OMOBJ|om:OMOBJ'>
    <xsl:param name='algorithm' select='"no"' tunnel='yes'/>
    <xsl:choose>
      <xsl:when test='$algorithm = "yes" and (OMA/OMS[@cd="prog1"] or om:OMA/om:OMS[@cd="prog1"])'>
        <xsl:choose>
          <xsl:when test='$output = "latex"'>
            <mathdox:latex>
              <xsl:apply-templates mode='prog1latex'/>
            </mathdox:latex>
          </xsl:when>
          <xsl:when test='$output = "xhtml"'>
            <xsl:apply-templates mode='prog1xhtml'/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:apply-templates select='.' mode='nochange'/>
          </xsl:otherwise>
        </xsl:choose> 
      </xsl:when>
      <xsl:otherwise>
        <xsl:apply-templates select='.' mode='nochange'/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match='OMOBJ|om:OMOBJ' mode='nochange'>
    <xsl:copy>
      <xsl:apply-templates select='@*'/>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>

</xsl:stylesheet>
