<xsl:stylesheet
  xmlns:math="http://www.w3.org/1998/Math/MathML"
  xmlns:mdf="http://www.mathdox.org/MathDox/Functions"
  xmlns:om="http://www.openmath.org/OpenMath"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="2.0"
>

  <xsl:template match='OMV|om:OMV' mode='omv_bind_replace'>
    <xsl:param name='ombind' tunnel='yes' as='node()' select='.'/>
    <xsl:param name='expr' tunnel='yes' as='node()'/>

    <xsl:variable name='name' select='@name'/>
    
    <xsl:choose>
      <xsl:when test='$ombind/OMBVAR/OMV[@name=$name] | $ombind/om:OMBVAR/om:OMV[@name=$name]'>
        <xsl:variable name='index' as='xs:integer'>
          <xsl:choose>
            <xsl:when test='$ombind/OMBVAR/OMV[@name=$name]'>
              <xsl:value-of select='1+count($ombind/OMBVAR/OMV[@name=$name]/preceding-sibling::*)'/>
            </xsl:when>
            <xsl:when test='$ombind/om:OMBVAR/om:OMV[@name=$name]'>
              <xsl:value-of select='1+count($ombind/om:OMBVAR/om:OMV[@name=$name]/preceding-sibling::*)'/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text>-1</xsl:text>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:variable>

        <xsl:copy-of select='$expr/*[position() = $index]'/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:apply-templates select='.'>
          <xsl:with-param name='omv_bind_replace' select='false()' as='xs:boolean' tunnel='yes'/>
        </xsl:apply-templates>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet> 
