<?xml version="1.0" encoding="us-ascii"?>
<xsl:stylesheet 
  xmlns:math="http://www.w3.org/1998/Math/MathML" 
  xmlns:mdf="http://www.mathdox.org/MathDox/Functions"
  xmlns:om="http://www.openmath.org/OpenMath"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="2.0">

  <!--
    additions and modifications to the mathdoxplayer openmath2mathml
    stylesheets for mathadore 
  -->

  <!-- keep using greek symbols -->

  <xsl:include href='openmath/greek.xsl'/>

 <!-- ********************************************************************

       math4all

       ******************************************************************** -->

  <xsl:template match="OMA[OMS[@name='difference' and @cd='math4all']]| om:OMA[om:OMS[@name='difference' and @cd='math4all']]">
    <math:mrow>
      <math:mo>
        <xsl:text>&#916;</xsl:text>
        <!-- 916 = U+0394 Greek capital delta -->
      </math:mo>
      <xsl:apply-templates select="*[2]"/>
    </math:mrow>
  </xsl:template>



  <xsl:template match="OMA[OMS[@name='diffquot' and @cd='math4all']]| om:OMA[om:OMS[@name='diffquot' and @cd='math4all']]">
    <math:mrow>
       <math:mtable rowlines="solid">
          <math:mtr>
            <math:mtd>
              <math:mo>
                <xsl:text>&#916;</xsl:text>
                <!-- 916 = U+0394 Greek capital delta -->
              </math:mo>
              <xsl:apply-templates select="*[2]"/>
            </math:mtd>
          </math:mtr>
          <math:mtr>
            <math:mtd>
              <math:mo>
                <xsl:text>&#916;</xsl:text>
                <!-- 916 = U+0394 Greek capital delta -->
              </math:mo>
              <math:mi>
                <xsl:apply-templates select="*[3]"/>
              </math:mi>
            </math:mtd>
          </math:mtr>
        </math:mtable>
      </math:mrow>
  </xsl:template>

 <!-- *******************************************************************

       plangeo2

       ******************************************************************* -->

  <xsl:template match="OMA[OMS[@name='segment']]|om:OMA[om:OMS[@name='segment']]">
    <math:mrow>
      <xsl:for-each select="*[position() &gt; 1]">
        <xsl:apply-templates select="."/>
      </xsl:for-each>
    </math:mrow>
  </xsl:template>

<!-- *******************************************************************

       plangeo4

     ******************************************************************* -->

  <xsl:template match="OMA[OMS[@name='set_affine_coordinates']]|om:OMA[om:OMS[@name='set_affine_coordinates']]">
    <math:mrow>
      <xsl:for-each select="*[position() &gt; 1]">
        <xsl:apply-templates select="."/>
      </xsl:for-each>
    </math:mrow>
  </xsl:template>

  <!--				     x
       transc1.exp : from exp(x) to e
  -->
  <xsl:template match="OMA[OMS[@cd='transc1' and @name='exp']] | om:OMA[om:OMS[@cd='transc1' and @name='exp']]">
    <math:msup>
      <math:mi>e</math:mi>
      <math:mrow>
        <xsl:apply-templates select="*[2]"/>
      </math:mrow>
    </math:msup>
  </xsl:template>
  
</xsl:stylesheet>
